This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 852169 - Move the CLI sample scripts to download section on the server
Move the CLI sample scripts to download section on the server
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI, Core Server (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: 852164
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 14:20 EDT by Lukas Krejci
Modified: 2013-09-01 06:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:16:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (97.16 KB, patch)
2012-08-27 14:30 EDT, Lukas Krejci
no flags Details | Diff

  None (edit)
Description Lukas Krejci 2012-08-27 14:20:47 EDT
Description of problem:

This is so that those scripts can be used from the alert scripts.
Comment 1 Lukas Krejci 2012-08-27 14:22:12 EDT
This will also require the addition of a new section to the Downloads UI that will list all the scripts available.
Comment 2 Lukas Krejci 2012-08-27 14:30:01 EDT
Created attachment 607318 [details]
proposed patch

A patch against the master branch to modify the rhq://downloads script source providers to use the new location for the scripts and added a new UI section on the Downloads page listing available scripts.
Comment 3 Lukas Krejci 2012-09-13 07:11:51 EDT
master http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=f835c490a057254d71aba7b8714c3f04af257bfd
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Aug 24 10:17:29 2012 +0200

    Making the module loading conforming with CommonJS:
    
    1) The .js extension is optional (and according to the spec it even
       shouldn't be there)
    2) Relative module IDs are working now
    3) Added unit tests for the module resolution
    4) Modified exisiting unit tests to use  CommonJS-conforming module URIs

master http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=96ea0adc66c658fa94ccb2ed8c2f95d14ab4c93f
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Thu Sep 13 13:08:06 2012 +0200

    [BZ 852169] - Add a copy of the downloadable sample modules to the CLI
    samples/modules, so that they're available locally, too.
    Updated the wording in the README file in samples to reflect the current
    state of things.
Comment 4 Heiko W. Rupp 2013-09-01 06:16:17 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.